Bug 617226 - kdiff3 prints blank pages
kdiff3 prints blank pages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdiff3 (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On: 568758
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 10:21 EDT by Rob Riggs
Modified: 2012-11-27 12:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:08:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Riggs 2010-07-22 10:21:02 EDT
Description of problem: kdiff3 prints blank pages.  When I run kdiff3 as "svn diff --diff-cmd=kdiff3" or just "kdiff3 filea fileb", the diff is perfectly viewable on screen, the print dialog is available and allows me to chose my configured printers or "Print to File" (both PDF and PostScript).  However, when I print to any of the devices or files, the result is always a single blank page.


Version-Release number of selected component (if applicable):
kdiff3-0.9.95-3.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run kdiff3 against two differing files
2. Attempt to print to a PDF file.
3. View the results with evince.
  
Actual results:
A single blank page is displayed.

Expected results:
A PDF rendering of the diff.

Additional info:
This has been occurring since at least Fedora 10.  kdiff3 prints just fine on Windows.
Comment 1 Russell Doty 2010-10-04 15:03:03 EDT
This bug appears to have a bad "depends on" - the referenced BZ 568758 is for RHEL hardware enablement.
Comment 2 Bug Zapper 2011-06-01 09:12:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 09:08:32 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Vee Cee 2012-11-27 12:26:27 EST
I know this is marked closed, but the issue is still seen in 0.9.97 (and on versions provided in more than one distribution). I'm posting here because search engines brought me here when I was looking for a solution to this problem. I posted a solution/workaround here, if anyone is interested: https://bugs.launchpad.net/ubuntu/+source/kdiff3/+bug/596476/comments/9

Cheers!
Venkat.

Note You need to log in before you can comment on or make changes to this bug.